# Puckepy

A library to describe and characterise molecules, `written in Rust btw`

- `puckepy.formalism` to describe molecules quantitatively through various puckering formalisms
- `puckepy.confsampling` to provide the functionality from [pucke.rs](https://github.com/jrihon/puckers) in `Python`
- `puckepy.geometry` to describe molecules by elementary geometrical attributes

## Documentation
- Online documentation can be found [here](https://github.com/jrihon/puckepy/blob/main/docs/documentation.md) !

- The Python library has been annotated with python stub files `.pyi`. This allows `definition on hover` functionality, useful for reading docstrings while writing in your preferred editor.

## Installation
Requires Python3 `>= 3.12` and Rust `>= 1.85`
- Installation protocol can be found [here](https://github.com/jrihon/puckepy/blob/main/docs/installation.md) !

## Author
Written and designed by [Jérôme Rihon](https://github.com/jrihon/jrihon)
